import 'package:get/get.dart';

class PastVideoPlayerState {
  // title
  final _videoTitle = "".obs;
  set videoTitle(value) => _videoTitle.value = value;
  get videoTitle => _videoTitle.value;

  // video url
  final _videoUrl = "".obs;
  set videoUrl(String value) => _videoUrl.value = value;
  String get videoUrl => _videoUrl.value;

  // video description
  final _videoDescription = "".obs;
  set videoDescription(String value) => _videoDescription.value = value;
  String get videoDescription => _videoDescription.value;

  // video create time
  final _videoCreateTimeStr = "".obs;
  set videoCreateTimeStr(String value) => _videoCreateTimeStr.value = value;
  String get videoCreateTimeStr => _videoCreateTimeStr.value;

  /// video star level
  final _videoStarLevel = 0.obs;
  set videoStarLevel(int value) => _videoStarLevel.value = value;
  int get videoStarLevel => _videoStarLevel.value;

  // is loading
  final _isLoading = true.obs;
  set isLoading(bool value) => _isLoading.value = value;
  bool get isLoading => _isLoading.value;
}
